package net.nevet5gi.events;

import net.nevet5gi.util.Role;
import org.bukkit.entity.Player;
import org.bukkit.event.Event;
import org.bukkit.event.HandlerList;
import org.bukkit.event.entity.PlayerDeathEvent;
import org.bukkit.plugin.java.JavaPlugin;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

public class TTTGamesOnEvent extends Event {

    private static final HandlerList HANDLER_LIST = new HandlerList();

    private static JavaPlugin plugin;

    private static boolean inGame = false;

    private static List<Player> participatingPlayers = new ArrayList<>();
    private static Map<Player, Role> playerRoles;
    private static int[] roleAmounts = {0,0,0,0,0,0,0,0};


    public TTTGamesOnEvent(JavaPlugin plugin, List<Player> participatingPlayers, Map<Player, Role> playerRoles, int[] roleAmounts) {
        this.plugin = plugin;
        this.participatingPlayers = participatingPlayers;
        this.playerRoles = playerRoles;
        this.roleAmounts = roleAmounts;

    }


    public static void removePlayer(Player player) {
        participatingPlayers.remove(player);
        playerRoles.remove(player);
    }

    public int[] getRoleAmounts() {
        return roleAmounts;
    }

    public JavaPlugin getPlugin() {
        return plugin;
    }

    public List<Player> getPlayers() {
        return participatingPlayers;
    }

    public Role getPlayerRole(Player player) {
        return playerRoles.get(player);
    }


    public static boolean isInGame() {
        return inGame;
    }

    public static void setInGame(boolean choice) {
        inGame = choice;
    }


    public static Role getRoleOfPlayer(Player player) {
        return playerRoles.get(player);
    }

    @Override
    public HandlerList getHandlers() {
        return HANDLER_LIST;
    }

    public static HandlerList getHandlerList() {
        return HANDLER_LIST;
    }
}
